<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script type="text/javascript">
        class Perro {

            constructor(nombre, raza, tamaño, estado) {
                this.nombre = nombre;
                this.raza = raza;
                this.tamaño = tamaño;
                this.estado = estado;

            }
            modificar(estado) {
                this.estado = estado;
            }
            informar() {
                consoleg.log('el estado es ${estado}')
            }
        }
        let arrayPerros = [];
        let nuevoIngreso = true;

        while (nuevoIngreso === true) {
            let nombre = prompt("Ingrese nombre");
            let raza = prompt("Ingrese raza");
            let tamaño = prompt("Ingrese tamaño");
            let estado = prompt("Ingrese estado");

            let perros = new Perro(nombre, raza, tamaño, estado);
            arrayPerros.push(perros);
            nuevoIngreso = window.confirm("Desea ingresar otro perro?");

        }
        let i = 0;

        while (i <= arrayPerros.length) {
            console.log(arrayPerros[i]);
            i++;
        }
        let consultaEstado = prompt("Desea conocer el estado de adopcion?");
     
           

        

    </script>


</body>

</html>